SystemOrganization addCategory: #ConfigurationOfPaulLePoulpe!

Object subclass: #ConfigurationOfPaulLePoulpe
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfPaulLePoulpe'!

!ConfigurationOfPaulLePoulpe class methodsFor: 'as yet unclassified' stamp: 'SantiagoBragagnolo 6/3/2012 19:50'!
ensureMetacello
	Smalltalk at: #MetacelloProject ifAbsent: [
		Gofer new
				url: 'http://seaside.gemstone.com/ss/metacello';
				package: 'ConfigurationOfMetacello';
				load.
		(Smalltalk at: #ConfigurationOfMetacello) loadLatestVersion ]! !

!ConfigurationOfPaulLePoulpe class methodsFor: 'as yet unclassified' stamp: 'SantiagoBragagnolo 6/3/2012 19:50'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfPaulLePoulpe class methodsFor: 'as yet unclassified' stamp: 'SantiagoBragagnolo 6/3/2012 19:50'!
lastMetacelloVersionLoad
	"Answer the last version loaded and the list of packages loaded for that version."

	LastVersionLoad == nil ifTrue: [ LastVersionLoad := nil -> 'default' ].
	^LastVersionLoad! !

!ConfigurationOfPaulLePoulpe class methodsFor: 'as yet unclassified' stamp: 'SantiagoBragagnolo 6/3/2012 19:50'!
loadDefault
	(self project version: '0.1-version') load! !

!ConfigurationOfPaulLePoulpe class methodsFor: 'as yet unclassified' stamp: 'SantiagoBragagnolo 6/3/2012 19:51'!
loadLast
	self project lastVersion load! !

!ConfigurationOfPaulLePoulpe class methodsFor: 'as yet unclassified' stamp: 'SantiagoBragagnolo 6/3/2012 19:51'!
project

	^self new project! !

!ConfigurationOfPaulLePoulpe methodsFor: 'baselines' stamp: 'SantiagoBragagnolo 6/3/2012 19:53'!
baseline10: spec 
    <version: '1.4-baseline'>
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://ss3.gemstone.com/ss/PaulLePoulpe'.
		spec package: 'PaulLePoulpe'.
	
		spec group: 'default' with: #( 'PaulLePoulpe' ).
	].

! !

!ConfigurationOfPaulLePoulpe methodsFor: 'as yet unclassified' stamp: 'SantiagoBragagnolo 6/3/2012 20:06'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) new.
		constructor project projectAttributes: (Array with: Smalltalk os platformName asSymbol).
		constructor on: self.
		project := constructor project.
		project]! !
